Bug 1306 - configure ignores --libdir
configure ignores --libdir
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.3
All Linux
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 17:27 UTC by Rudolf Kollien
Modified: 2005-11-14 09:24 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rudolf Kollien 2004-04-29 17:27:37 UTC
When using configure with the option --libdir=... the libdir parameter in the
Makefile is set to default

Using:
configure --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin
--sysconfdir=/etc/samba3 --with-privatedir=/etc/samba3 --libdir=/etc/samba3
--with-logfilebase=/var/log/samba3 --with-lockdir=/var/lock
--with-piddir=/var/run --with-automount --with-quotas --with-msdfs -with-vfs
--enable-cups --with-acl-support --with-libsmbclient

results in the Makefile as:

BASEDIR= /usr
BINDIR = /usr/bin
# sbindir is mapped to bindir when compiling SAMBA in 2.0.x compatibility mode.
SBINDIR = /usr/sbin
LIBDIR = ${prefix}/lib
VFSLIBDIR = $(LIBDIR)/vfs
PDBLIBDIR = $(LIBDIR)/pdb
RPCLIBDIR = $(LIBDIR)/rpc
IDMAPLIBDIR = $(LIBDIR)/idmap
CHARSETLIBDIR = $(LIBDIR)/charset
AUTHLIBDIR = $(LIBDIR)/auth
CONFIGDIR = ${LIBDIR}
VARDIR = ${prefix}/var
MANDIR = ${prefix}/man
DATADIR = ${prefix}/share

---
SuSE 9.0
samba 3.0.3 from source tar
Comment 1 Gerald (Jerry) Carter 2004-05-02 22:19:32 UTC
use --with-libdir
Comment 2 Rudolf Kollien 2004-05-03 03:28:54 UTC
Ok! But till 3.0.2 it was --lib-dir and "configure --help" of 3.0.3 still
reports "--libdir" too. Shouldn't this be fixed? Ether to the correct output of
configure or changing back to the old style --lib-dir to be conform to bindir,
sysconfdir etc. 
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:21:39 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:24:59 UTC
database cleanup